provider/openstack: gccgo test failures

Bug #1321492 reported by Dave Cheney on 2014-05-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
juju-core
High
Dave Cheney

Bug Description

[LOG] 0:00.934 DEBUG juju.environs.simplestreams cannot load index "http://127.0.0.1:51826/v1/1/juju-test-4d5fdb25706ecf83/images/streams/v1/index.json": invalid URL "htt
p://127.0.0.1:51826/v1/1/juju-test-4d5fdb25706ecf83/images/streams/v1/index.json" not found
[LOG] 0:00.934 INFO juju.utils hostname SSL verification enabled
[LOG] 0:00.935 DEBUG juju.environs.simplestreams fetchData failed for "http://127.0.0.1:51826/v1/1/imagemetadata/streams/v1/index.sjson": cannot find URL "http://127.0.0.
1:51826/v1/1/imagemetadata/streams/v1/index.sjson" not found
[LOG] 0:00.935 DEBUG juju.environs.simplestreams cannot load index "http://127.0.0.1:51826/v1/1/imagemetadata/streams/v1/index.sjson": invalid URL "http://127.0.0.1:51826
/v1/1/imagemetadata/streams/v1/index.sjson" not found
[LOG] 0:00.935 INFO juju.utils hostname SSL verification enabled
[LOG] 0:00.935 INFO juju.utils hostname SSL verification enabled
[LOG] 0:00.936 DEBUG juju.environs.simplestreams fetchData failed for "http://127.0.0.1:51826/v1/1/imagemetadata/streams/v1/mirrors.json": cannot find URL "http://127.0.0
.1:51826/v1/1/imagemetadata/streams/v1/mirrors.json" not found
[LOG] 0:00.936 DEBUG juju.environs.simplestreams no mirror index file found
[LOG] 0:00.936 DEBUG juju.environs.simplestreams read metadata index at "http://127.0.0.1:51826/v1/1/imagemetadata/streams/v1/index.json"
[LOG] 0:00.936 DEBUG juju.environs.simplestreams candidate matches for products ["com.ubuntu.cloud:server:12.04:amd64" "com.ubuntu.cloud:server:12.04:i386" "com.ubuntu.cl
oud:server:12.04:armhf" "com.ubuntu.cloud:server:12.04:arm64" "com.ubuntu.cloud:server:12.04:ppc64" "com.ubuntu.cloud:server:12.10:amd64" "com.ubuntu.cloud:server:12.10:i
386" "com.ubuntu.cloud:server:12.10:armhf" "com.ubuntu.cloud:server:12.10:arm64" "com.ubuntu.cloud:server:12.10:ppc64" "com.ubuntu.cloud:server:13.04:amd64" "com.ubuntu.c
loud:server:13.04:i386" "com.ubuntu.cloud:server:13.04:armhf" "com.ubuntu.cloud:server:13.04:arm64" "com.ubuntu.cloud:server:13.04:ppc64" "com.ubuntu.cloud:server:13.10:a
md64" "com.ubuntu.cloud:server:13.10:i386" "com.ubuntu.cloud:server:13.10:armhf" "com.ubuntu.cloud:server:13.10:arm64" "com.ubuntu.cloud:server:13.10:ppc64" "com.ubuntu.c
loud:server:14.04:amd64" "com.ubuntu.cloud:server:14.04:i386" "com.ubuntu.cloud:server:14.04:armhf" "com.ubuntu.cloud:server:14.04:arm64" "com.ubuntu.cloud:server:14.04:p
pc64" "com.ubuntu.cloud:server:14.10:amd64" "com.ubuntu.cloud:server:14.10:i386" "com.ubuntu.cloud:server:14.10:armhf" "com.ubuntu.cloud:server:14.10:arm64" "com.ubuntu.c
loud:server:14.10:ppc64"] are [{Wed, 01 May 2013 13:31:26 +0000 products:1.0 image-ids test [{some-region http://127.0.0.1:51826}] image-metadata/products.json [com.ubunt
u.cloud:server:12.04:amd64 com.ubuntu.cloud:server:12.04:i386 com.ubuntu.cloud:server:12.04:ppc64 com.ubuntu.cloud:server:12.10:amd64 com.ubuntu.cloud:server:13.04:amd64]
}]
[LOG] 0:00.937 DEBUG juju.environs.simplestreams finding products at path "image-metadata/products.json"
[LOG] 0:00.937 INFO juju.utils hostname SSL verification enabled
[LOG] 0:00.955 DEBUG juju.environs.simplestreams metadata: &{map[com.ubuntu.cloud:server:13.04:amd64:{raring 13.04 amd64 map[20121218:0xc2085c2f00]} com.ubuntu.cloud:se
rver:12.04:amd64:{precise 12.04 amd64 map[20121218:0xc2085c2660 20121111:0xc2085c28a0]} com.ubuntu.cloud:server:12.04:i386:{precise 12.04 i386 map[20121111:0xc2085c2a
e0]} com.ubuntu.cloud:server:12.04:ppc64:{precise 12.04 ppc64 map[20121111:0xc2085c2c60]} com.ubuntu.cloud:server:12.10:amd64:{quantal 12.10 amd64 map[20121218:0xc208
5c2d80]}] map[] products:1.0 com.ubuntu.cloud:released:openstack}
local_test.go:661:
    c.Assert(a, gc.DeepEquals, []string{"amd64", "i386", "ppc64"})
... obtained []string = []string{"ppc64", "amd64", "i386"}
... expected []string = []string{"amd64", "i386", "ppc64"}

OOPS: 63 passed, 5 skipped, 1 FAILED
--- FAIL: Test (121.39 seconds)
FAIL
FAIL launchpad.net/juju-core/provider/openstack 121.540s

Related branches

Curtis Hovey (sinzui) on 2014-05-21
tags: added: test-failure
Changed in juju-core:
status: New → Triaged
importance: Undecided → High
milestone: none → next-stable
Andrew Wilkins (axwalk) on 2014-05-22
Changed in juju-core:
status: Triaged → In Progress
assignee: nobody → Andrew Wilkins (axwalk)
milestone: next-stable → 1.19.3
Changed in juju-core:
assignee: Andrew Wilkins (axwalk) → Dave Cheney (dave-cheney)
milestone: 1.19.3 → next-stable
Changed in juju-core:
status: In Progress → Fix Committed
milestone: next-stable → 1.19.3
Curtis Hovey (sinzui) on 2014-05-30
Changed in juju-core:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers